Obtener una respuesta puntuada
Consulta la respuesta conservada y las fuentes detrás de un resultado puntuado.
GET
/
v1
/
monitors
/
{id}
/
answers
/
{taskId}
Get one answer
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/answers/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/answers/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/answers/{taskId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/answers/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"answer": {
"taskId": "<string>",
"engine": "CHATGPT",
"prompt": "<string>",
"mentioned": true,
"cited": true,
"position": 123,
"ranAt": "2023-11-07T05:31:56Z",
"answerText": "<string>",
"sources": [
{
"url": "<string>",
"label": "<string>",
"position": 123
}
],
"competitorHits": [
"<string>"
],
"scoringContext": {
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"country": "<string>",
"version": "<string>",
"scoredAt": "2023-11-07T05:31:56Z",
"answerPresent": true,
"evidenceTruncated": true
},
"analysis": {
"version": 1,
"status": "ok",
"error": "ANALYSIS_FAILED",
"brands": [
{
"name": "<string>",
"domain": "<string>",
"writtenAs": "<string>",
"spellings": [
"<string>"
],
"rank": 2,
"role": "brand",
"recommended": true,
"sentiment": "positive",
"sentimentScore": 0.9
}
],
"targets": [
{
"name": "<string>",
"role": "brand",
"mentioned": true,
"rank": 123,
"recommended": true,
"sentiment": "positive",
"sentimentScore": 123,
"cited": true
}
],
"sources": [
{
"position": 2,
"url": "<string>",
"domain": "<string>",
"kind": "owned",
"brand": "<string>"
}
]
}
},
"display": {},
"mode": "BRAND",
"aliases": [
"<string>"
],
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"scoringKnown": true,
"evidenceTruncated": true
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}Autorizaciones
Your API key, sent as Authorization: Bearer <key>.
Parámetros de ruta
A taskId from cells[], results[].taskId, sources[].evidenceTaskId or the CSV.
⌘I
Get one answer
curl --request GET \
--url https://api.querying.ai/v1/monitors/{id}/answers/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors/{id}/answers/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors/{id}/answers/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors/{id}/answers/{taskId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors/{id}/answers/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"answer": {
"taskId": "<string>",
"engine": "CHATGPT",
"prompt": "<string>",
"mentioned": true,
"cited": true,
"position": 123,
"ranAt": "2023-11-07T05:31:56Z",
"answerText": "<string>",
"sources": [
{
"url": "<string>",
"label": "<string>",
"position": 123
}
],
"competitorHits": [
"<string>"
],
"scoringContext": {
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"country": "<string>",
"version": "<string>",
"scoredAt": "2023-11-07T05:31:56Z",
"answerPresent": true,
"evidenceTruncated": true
},
"analysis": {
"version": 1,
"status": "ok",
"error": "ANALYSIS_FAILED",
"brands": [
{
"name": "<string>",
"domain": "<string>",
"writtenAs": "<string>",
"spellings": [
"<string>"
],
"rank": 2,
"role": "brand",
"recommended": true,
"sentiment": "positive",
"sentimentScore": 0.9
}
],
"targets": [
{
"name": "<string>",
"role": "brand",
"mentioned": true,
"rank": 123,
"recommended": true,
"sentiment": "positive",
"sentimentScore": 123,
"cited": true
}
],
"sources": [
{
"position": 2,
"url": "<string>",
"domain": "<string>",
"kind": "owned",
"brand": "<string>"
}
]
}
},
"display": {},
"mode": "BRAND",
"aliases": [
"<string>"
],
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"scoringKnown": true,
"evidenceTruncated": true
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}